View Issue Details

IDProjectCategoryView StatusLast Update
0002717PartDesignBugpublic2017-02-25 21:39
Reporterbitwise 
Assigned To 
PriorityhighSeveritycrashReproducibilityalways
Status confirmedResolutionopen 
PlatformWindows 10OSWindows 10 64bit ProOS Version
Product Version0.16 
Target VersionFixed in Version 
Summary0002717: Access Violation creating sweep
DescriptionI get an Access Violation at address 0x00000010 during 'READ' operation when attempting to create a sweep.
Steps To ReproduceCreate a sweep by selecting the Profile sketch in the sweep dialog and click the lines in the Path sketch. Does not work with Create Solid check or not.
Tags#pending, sweep

Relationships

Activities

2016-09-30 21:34bitwiseNew Issue
2016-09-30 21:34bitwiseFile Added: Bottom Of Tiller.FCStd

bitwise

2016-09-30 21:34

reporter  

Bottom Of Tiller.FCStd (5,637 bytes)

normandc

2016-10-15 20:14

manager   ~0007371

I confirm the crash on

OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6703 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 2ce5c8d2e3020d05005ed71f710e09e9aa561f40
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Oddly, if I run FreeCAD with gdb, I can't get a crash, and the Part Sweep partially succeeds: it sweeps one edge (left rounded corner of the profile).

That being said, The vertical and horizontal lines at the centre of the profile are unnecessary, and would actually prevent Sweep from creating a solid (deleting them does not prevent the crash). I also do not understand why you created your profile with so many straight segments. Please explain what's your intention here. Did you want the sweep to generate separate coplanar faces?
2016-10-15 20:23normandcFile Added: Bottom Of Tiller_normandc2.FCStd

normandc

2016-10-15 20:23

manager  

Bottom Of Tiller_normandc2.FCStd (24,235 bytes)

normandc

2016-10-15 20:24

manager   ~0007372

With a properly constrained Profile sketch, FreeCAD does not crash and the Part Sweep works as expected. See Bottom of Tiller_normandc2.fcstd.

normandc

2016-10-15 20:30

manager   ~0007373

I found the problem: the Profile sketch contains a line that is overlapping two other lines. This can be seen in the Elements list. 13-Line overlaps 1-Line and 2-Line. There is also a useless point added at the origin.

Granted FreeCAD should not crash, but this is an improper sketch to begin with. Therefore, it would have been more appropriate to talk about this in the forum first, as explained in the "Read this before reporting" link from the "ISSUES" menu.

@ wmayer: do you think this bug report should be closed?
2016-10-15 21:29tedbeerFile Added: sweep-error.FCStd

tedbeer

2016-10-15 21:29

reporter  

sweep-error.FCStd (72,780 bytes)

tedbeer

2016-10-15 21:34

reporter   ~0007379

Last edited: 2016-10-15 21:35

View 2 revisions

I confirm the problem exists on my test case.
It's reproducible in both last release versions - v0.16 and v0.15
It uses a simple circle sketch to sweep and a simple BSpline generated from macro as a path.
Results are quite odd.

When BSpline is short it sweeps successfully.
When BSpline is longer - it fails with Input error: TCollection_IndexedDataMap::FindFromKey
When BSpline is even more longer - it fails with ACCESS VIOLATION at address 0x00000000 during 'READ' operation

I have attached my "sweep-error" test case. It contains all 3 cases.

OS: Windows 8.1
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17


OS: Windows 8.1
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4671 (Git)
Branch: releases/FreeCAD-0-15
Hash: 244b3aef360841646cbfe80a1b225c8b39c8380c
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

2016-10-15 21:35tedbeerNote Edited: 0007379View Revisions

normandc

2016-10-15 21:37

manager   ~0007380

tedbeer, using a BSpline as path sweep is a totally different issue. Please create a new bug report for it (maybe check if one already exists first). BTW it's been discussed lately on the forum.

Kunda1

2017-01-11 19:30

manager   ~0007643

@tedbeer as per normandc please open a new bug (since I can't seem to find a relevant one)

@wmayer as per normandc in 0002717:0007373 can this ticket be closed?
2017-01-19 13:13Kunda1Tag Attached: #pending

Kunda1

2017-02-15 04:48

manager   ~0008303

@normandc please advise. Should we split the ticket to report the bspline issue and close this one?
2017-02-17 13:51Kunda1Tag Attached: sweep

normandc

2017-02-25 18:15

manager   ~0008432

The bspline issue should be in a separate ticket, but tedbeer's macro to create the bspline path would be required.

As for this bug report, as I wrote previously the crash is caused by an inappropriate profile, still it should throw an error rather than produce a crash. So the crash needs to be fixed.
2017-02-25 21:39Kunda1Severitymajor => crash
2017-02-25 21:39Kunda1Statusnew => confirmed

Issue History

Date Modified Username Field Change
2016-09-30 21:34 bitwise New Issue
2016-09-30 21:34 bitwise File Added: Bottom Of Tiller.FCStd
2016-10-15 20:14 normandc Note Added: 0007371
2016-10-15 20:23 normandc File Added: Bottom Of Tiller_normandc2.FCStd
2016-10-15 20:24 normandc Note Added: 0007372
2016-10-15 20:30 normandc Note Added: 0007373
2016-10-15 21:29 tedbeer File Added: sweep-error.FCStd
2016-10-15 21:34 tedbeer Note Added: 0007379
2016-10-15 21:35 tedbeer Note Edited: 0007379 View Revisions
2016-10-15 21:37 normandc Note Added: 0007380
2017-01-11 19:30 Kunda1 Note Added: 0007643
2017-01-19 13:13 Kunda1 Tag Attached: #pending
2017-02-15 04:48 Kunda1 Note Added: 0008303
2017-02-17 13:51 Kunda1 Tag Attached: sweep
2017-02-25 18:15 normandc Note Added: 0008432
2017-02-25 21:39 Kunda1 Severity major => crash
2017-02-25 21:39 Kunda1 Status new => confirmed